# Uses of Class
org.eclipse.draw2d.ChangeEvent

Packages that use ChangeEvent
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ChangeEvent in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type ChangeEvent
Modifier and Type
Method
Description
`protected void`
Clickable.`fireStateChanged(ChangeEvent modelChange)`
Called when there has been a change of state in the model of this clickable.
`void`
ChangeListener.`handleStateChanged(ChangeEvent event)`
Called when the listened to object's state has changed.